<div class="col-12 mt-4" *ngIf="album">
  <h2>Detalle del álbum: {{pageTitle}}</h2>
  <h5>{{album.description}}</h5>
  <hr>
  <button [routerLink]="['/nueva-imagen',idAlbum]" class="btn btn-outline-primary">Añadir fotos</button>
  <div class="alert alert-warning text-center mt-4" *ngIf="message">{{message}}</div>
  <div class="d-flex flex-wrap">
    <div class="card col-3 mx-4 my-2" *ngFor="let image of images">
      <a [routerLink]="['/imagen',image._id]" class="">
        <img src="{{url +'get-image-file/'+image.picture}}" class="link-imagen-album card-img-top" alt="{{image.title}}"
          style="height: 200px">
      </a>
      <div class="card-body">
        <h5 class="card-title">{{image.title}}</h5>
        <p class="card-text"></p>
      </div>
      <div class="card-footer d-flex justify-content-between">
        <a [routerLink]="['/editar-imagen',image._id]" class="btn btn-outline-warning">Editar Foto</a>
        <button class="btn btn-outline-danger" data-toggle="modal" [attr.data-target]="'#deleteModal'+image._id" >Borrar foto</button>
      </div>

      <!-- Modal borrar imagen-->
      <div class="modal fade" id="{{'deleteModal'+image._id}}" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title"> Confirma borrar foto</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              ¿Seguro que quieres borrar la foto "{{image.title}}"?
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
              <button type="button" class="btn btn-primary" data-dismiss="modal" (click)="deleteImage(image._id)">Sí,
                borrar</button>
            </div>
          </div>
        </div>
      </div>
      <!--Fin modal-->
    </div>
  </div>
</div>